Main Page Widgets Namespaces Book

# spinbutton.h File Reference

## Namespaces

namespace | Gtk
namespace | Glib

## Classes

class | Gtk::SpinButton
| numeric Entry with up/down buttons Slightly misnamed, this should be called a SpinEntry. More...

## Enumerations

enum | SpinButtonUpdatePolicy { UPDATE_ALWAYS, UPDATE_IF_VALID }
enum | SpinType { SPIN_STEP_FORWARD, SPIN_STEP_BACKWARD, SPIN_PAGE_FORWARD, SPIN_PAGE_BACKWARD, SPIN_HOME, SPIN_END, SPIN_USER_DEFINED }
enum | { INPUT_ERROR = -1 }